﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.DataPresenter;
using Infragistics.Windows.Controls;
using Infragistics.Windows;

namespace XamDataGridFunnelIcon
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void FBToolTipOpening(object sender, ToolTipEventArgs e)
        {
            if (!(sender as FilterButton).HasActiveFilters)
            {
                e.Handled = true;
            }
            else if ((sender as FilterButton).ToolTip is TextBlock)
            {
                (sender as FilterButton).ToolTip = new TextBlock() { Text = xamDataGrid1.FieldLayouts[0].RecordFilters[(sender as FilterButton).Field].Conditions.ToolTip.ToString(), TextWrapping = TextWrapping.Wrap, Width = 100 };
            }
            else
            {
                string tt = (sender as FilterButton).ToolTip.ToString();
                (sender as FilterButton).ToolTip = new TextBlock() { Text = xamDataGrid1.FieldLayouts[0].RecordFilters[(sender as FilterButton).Field].Conditions.ToolTip.ToString(), TextWrapping = TextWrapping.Wrap, Width = 100 };
            }
        }
    }

    public class MyConverter : IValueConverter
    {
        BitmapImage blue = new BitmapImage(new Uri("BlueFilter.png", UriKind.Relative));
        BitmapImage notblue = new BitmapImage(new Uri("Filter.png", UriKind.Relative));
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
           
            if ((bool?)value != null && (bool)value)
            {
                return blue;
            }
            else 
            {
                return notblue;
            }
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }

}
